人によるレビュールートの重複
APIはこの問題に対して422 Unprocessable Contentを返します。typeはhttps://lingo.dev/docs/api/errors/human-edit-routes-conflictです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。
<directory>のpt-BRに対する人によるレビュールート<routes>と<routes>は、対象が重複していますが、どちらも他方に包含されていません。ロケールを分けるか、一方のリストを他方のリストに含めてください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
conflicts | object[] |
conflicts[].routes | string[] |
conflicts[].directory | string | null |
conflicts[].locale | string |
例#
json
{
"detail": "Human review routes cover the same targets with neither narrower: <routes> and <routes> on <directory> for pt-BR. Split their locales or nest one list in the other.",
"conflicts": [
{
"routes": [
"<routes>",
"<routes>"
],
"directory": "<directory>",
"locale": "pt-BR"
}
],
"type": "https://lingo.dev/docs/api/errors/human-edit-routes-conflict",
"status": 422,
"title": "Human review routes overlap"
}このエラーを返すエンドポイント#
PATCH /v2/engines/{id}POST /v2/organizations/{orgId}/enginesPOST /v2/organizations/{orgId}/provisioning/jobs